# ARBDepthTexture (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBDepthTexture

    java.lang.Object
      org.lwjgl.opengl.ARBDepthTexture

    public final class ARBDepthTexture

extends java.lang.Object

Field Summary
`static int` `GL_DEPTH_COMPONENT16_ARB` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, CopyTexImage1D and CopyTexImage2D:
`static int` `GL_DEPTH_COMPONENT24_ARB` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, CopyTexImage1D and CopyTexImage2D:
`static int` `GL_DEPTH_COMPONENT32_ARB` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, CopyTexImage1D and CopyTexImage2D:
`static int` `GL_DEPTH_TEXTURE_MODE_ARB` Accepted by the <pname> parameter of TexParameterf, TexParameteri, TexParameterfv, TexParameteriv, GetTexParameterfv, and GetTexParameteriv:
`static int` `GL_TEXTURE_DEPTH_SIZE_ARB` Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_DEPTH_COMPONENT16_ARB

    public static final int GL_DEPTH_COMPONENT16_ARB

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, CopyTexImage1D and CopyTexImage2D:

  See Also:
    Constant Field Values

### GL_DEPTH_COMPONENT24_ARB

    public static final int GL_DEPTH_COMPONENT24_ARB

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, CopyTexImage1D and CopyTexImage2D:

  See Also:
    Constant Field Values

### GL_DEPTH_COMPONENT32_ARB

    public static final int GL_DEPTH_COMPONENT32_ARB

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, CopyTexImage1D and CopyTexImage2D:

  See Also:
    Constant Field Values

### GL_TEXTURE_DEPTH_SIZE_ARB

    public static final int GL_TEXTURE_DEPTH_SIZE_ARB

  Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv:

  See Also:
    Constant Field Values

### GL_DEPTH_TEXTURE_MODE_ARB

    public static final int GL_DEPTH_TEXTURE_MODE_ARB

  Accepted by the <pname> parameter of TexParameterf, TexParameteri, TexParameterfv, TexParameteriv, GetTexParameterfv, and GetTexParameteriv:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.